Package org.drinkless.tdlib

# Class TdApi.AuthorizationStateWaitCode

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuthorizationState
org.drinkless.tdlib.TdApi.AuthorizationStateWaitCode

Enclosing class:
  `TdApi`

public static class TdApi.AuthorizationStateWaitCode extends TdApi.AuthorizationState
TDLib needs the user's authentication code to authorize. Call checkAuthenticationCode to check the code.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuthorizationState

  `TdApi.AuthorizationState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.AuthenticationCodeInfo`
  `codeInfo`
  Information about the authorization code that was sent.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationStateWaitCode()`
  TDLib needs the user's authentication code to authorize.
  `AuthorizationStateWaitCode(TdApi.AuthenticationCodeInfo codeInfo)`
  TDLib needs the user's authentication code to authorize.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### codeInfo

    public TdApi.AuthenticationCodeInfo codeInfo
    Information about the authorization code that was sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuthorizationStateWaitCode

    public AuthorizationStateWaitCode()
    TDLib needs the user's authentication code to authorize. Call checkAuthenticationCode to check the code.

  - ### AuthorizationStateWaitCode

    public AuthorizationStateWaitCode(TdApi.AuthenticationCodeInfo codeInfo)
    TDLib needs the user's authentication code to authorize. Call checkAuthenticationCode to check the code.
    Parameters:
      `codeInfo` - Information about the authorization code that was sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuthorizationState`
    Returns:
      this.CONSTRUCTOR